﻿#region License
// Copyright © 2004 - 2010 All Right Reserved, Derek Goslin
// 
// 1. Definitions
// The terms "reproduce," "reproduction," "derivative works," and "distribution" have the same meaning here as under U.S. copyright law.
// A "contribution" is the original software, or any additions or changes to the software.
// A "contributor" is any person that distributes its contribution under this license.
// "Licensed patents" are a contributor's patent claims that read directly on its contribution.
// 
// 2. Grant of Rights
// (A) Copyright Grant- Subject to the terms of this license, including the license
//     conditions and limitations in section 3, each contributor grants you a non-exclusive,
//     worldwide, royalty-free copyright license to reproduce its contribution, prepare derivative 
//     works of its contribution, and distribute its contribution or any derivative works that you create.
// (B) Patent Grant- Subject to the terms of this license, including the license conditions and limitations
//     in section 3, each contributor grants you a non-exclusive, worldwide, royalty-free license under its
//     licensed patents to make, have made, use, sell, offer for sale, import, and/or otherwise dispose of
//     its contribution in the software or derivative works of the contribution in the software.
// 
// 3. Conditions and Limitations
// (A) Reciprocal Grants- For any file you distribute that contains code from the software (in source code or binary format), 
//     you must provide recipients the source code to that file along with a copy of this license, which license will govern that file. 
//     You may license other files that are entirely your own work and do not contain code from the software under any terms you choose.
// (B) No Trademark License- This license does not grant you rights to use any contributors' name, logo, or trademarks.
// (C) If you bring a patent claim against any contributor over patents that you claim are infringed by the software,
//     your patent license from such contributor to the software ends automatically.
// (D) If you distribute any portion of the software, you must retain all copyright, patent, trademark,
//     and attribution notices that are present in the software.
// (E) If you distribute any portion of the software in source code form, you may do so only under this license by including a complete copy 
//     of this license with your distribution. If you distribute any portion of the software in compiled or object code form, you may only do 
//     so under a license that complies with this license.
// (F) The software is licensed "as-is." You bear the risk of using it. The contributors give no express warranties, guarantees or conditions.
//    You may have additional consumer rights under your local laws which this license cannot change. To the extent permitted under your
//    local laws, the contributors exclude the implied warranties of merchantability, fitness for a particular purpose and non-infringement.
#endregion

using System;

namespace DnEcuDiag.Conversion
{
    public class CFC208FConversion : Convertor, IConvertor
    {
        public float Convert(int conversionId, byte[] rawData)
        {
            byte[] bytes;
            float result = 0;
            UInt32 rawValue = ConvertByteArray(rawData);

            switch (conversionId)
            {
                case 0:
                    result = rawValue;
                    break;
                case 120:
                    result = rawValue;
                    break;
                case 121:
                    result = rawValue * 0.038f;
                    break;

                case 122:
                    result = rawValue * 0.035f;
                    break;

                case 123:
                    result = rawValue * 0.042f;
                    break;

                case 124:
                    result = rawValue * 0.042f;
                    break;

                case 125:
                    result = rawValue * 0.4f;
                    break;

                case 126:
                    result = (rawValue - 100) / 10.4f;
                    break;

                case 127:
                    bytes = BitConverter.GetBytes(rawValue);
                    result = BitConverter.ToInt16(new[] { bytes[0], bytes[1] }, 0) * 0.1f;
                    break;

                case 128:
                    bytes = BitConverter.GetBytes(rawValue);
                    result = BitConverter.ToInt16(new[] { bytes[0], bytes[1] }, 0) * 1;
                    break;

                case 129:
                    result = rawValue * 0.0281f;
                    break;

                case 130:
                    result = rawValue;
                    break;

                case 131:
                    result = rawValue;
                    break;

                case 132:
                    result = rawValue * 0.011f;
                    break;

                case 133:
                    result = rawValue * 10;
                    break;

                case 134:
                    result = rawValue * 10;
                    break;

                case 135:
                    result = rawValue * 7.8f;
                    break;

                case 136:
                    bytes = BitConverter.GetBytes(rawValue);
                    result = BitConverter.ToInt16(new[] { bytes[0], bytes[1] }, 0);
                    break;

                case 137:
                    bytes = BitConverter.GetBytes(rawValue);
                    result = BitConverter.ToInt16(new[] { bytes[0], bytes[1] }, 0);
                    break;

                case 138:
                    result = rawValue * 0.038f;
                    break;

                case 139:
                    result = rawValue * 0.038f;
                    break;

                case 140:
                    result = rawValue * 0.038f;
                    break;

                case 141:
                    result = rawValue * 0.038f;
                    break;

                case 142:
                    result = rawValue * 0.038f;
                    break;

                case 143:
                    result = rawValue * 0.038f;
                    break;

                case 144:
                    result = rawValue * 0.038f;
                    break;

                case 145:
                    result = rawValue * 0.038f;
                    break;

                case 146:
                    result = rawValue * 0.038f;
                    break;

                case 147:
                    result = rawValue * 0.038f;
                    break;

                case 148:
                    result = rawValue * 0.038f;
                    break;

                case 149:
                    result = rawValue * 0.038f;
                    break;

                case 150:
                    result = rawValue * 0.038f;
                    break;

                case 151:
                    result = rawValue * 0.038f;
                    break;

                case 152:
                    result = rawValue * 0.035f;
                    break;

                case 153:
                    result = rawValue * 0.035f;
                    break;

                case 154:
                    result = rawValue * 0.035f;
                    break;

                case 155:
                    result = rawValue * 0.035f;
                    break;

                case 156:
                    result = rawValue * 0.035f;
                    break;

                case 157:
                    result = rawValue * 0.035f;
                    break;

                case 158:
                    result = rawValue * 0.035f;
                    break;

                case 159:
                    result = rawValue * 0.035f;
                    break;

                case 160:
                    result = rawValue * 0.035f;
                    break;

                case 161:
                    result = rawValue * 0.035f;
                    break;

                case 162:
                    result = rawValue * 0.035f;
                    break;

                case 163:
                    result = rawValue * 0.035f;
                    break;

                case 164:
                    result = rawValue * 0.042f;
                    break;

                case 165:
                    result = rawValue * 0.042f;
                    break;

                case 166:
                    result = rawValue * 7.8f;
                    break;

                case 167:
                    result = System.Convert.ToInt32(rawValue) * 0.1f;
                    break;

                case 168:
                    result = System.Convert.ToInt32(rawValue) * 0.1f;
                    break;

                case 169:
                    result = rawValue * 0.2f;
                    break;

                case 170:
                    result = rawValue;
                    break;

                case 171:
                    result = rawValue;
                    break;

                case 172:
                    result = rawValue;
                    break;

                case 173:
                    result = rawValue;
                    break;

                case 174:
                    result = rawValue;
                    break;

                case 175:
                    result = rawValue;
                    break;

                case 176:
                    result = rawValue;
                    break;

                case 177:
                    result = rawValue;
                    break;

                case 178:
                    result = rawValue;
                    break;

                case 179:
                    result = rawValue;
                    break;

                case 180:
                    result = rawValue;
                    break;

                case 181:
                    result = rawValue;
                    break;

                case 182:
                    result = rawValue;
                    break;

                case 183:
                    result = rawValue;
                    break;

                case 184:
                    result = rawValue;
                    break;

                case 185:
                    result = rawValue;
                    break;

                case 186:
                    result = rawValue;
                    break;

                case 187:
                    result = rawValue;
                    break;

                case 188:
                    result = rawValue;
                    break;

                case 189:
                    result = rawValue;
                    break;

                case 190:
                    result = rawValue;
                    break;

                case 191:
                    result = rawValue;
                    break;

                case 192:
                    result = rawValue;
                    break;

                case 193:
                    result = rawValue;
                    break;

                case 194:
                    result = rawValue;
                    break;

                case 195:
                    result = rawValue;
                    break;

                case 196:
                    result = rawValue * 0.6f;
                    break;

                case 197:
                    result = rawValue * 0.6f;
                    break;

                case 198:
                    result = rawValue * 0.038f;
                    break;

                case 199:
                    bytes = BitConverter.GetBytes(rawValue);
                    result = BitConverter.ToInt16(new[] { bytes[0], bytes[1] }, 0) * 0.038f;
                    break;

                case 200:
                    result = rawValue * 0.035f;
                    break;

                case 201:
                    bytes = BitConverter.GetBytes(rawValue);
                    result = BitConverter.ToInt16(new[] { bytes[0], bytes[1] }, 0) * 0.035f;
                    break;

                case 202:
                    result = rawValue;
                    break;

                case 203:
                    result = rawValue;
                    break;

                case 204:
                    result = rawValue;
                    break;

                case 205:
                    result = rawValue;
                    break;

                case 206:
                    result = rawValue;
                    break;

                case 207:
                    result = rawValue;
                    break;

                case 208:
                    result = rawValue;
                    break;

                case 209:
                    result = rawValue;
                    break;

                case 210:
                    result = rawValue;
                    break;

                case 211:
                    result = rawValue * 32;
                    break;

                case 212:
                    result = rawValue * 1.41f;
                    break;

                case 213:
                    result = rawValue * 3.2f;
                    break;

                case 214:
                    result = rawValue * 0.899f;
                    break;
            }

            return result;
        }
    }
}