﻿#region License
// Copyright © 2004 - 2010 All Right Reserved, Derek Goslin
// 
// 1. Definitions
// The terms "reproduce," "reproduction," "derivative works," and "distribution" have the same meaning here as under U.S. copyright law.
// A "contribution" is the original software, or any additions or changes to the software.
// A "contributor" is any person that distributes its contribution under this license.
// "Licensed patents" are a contributor's patent claims that read directly on its contribution.
// 
// 2. Grant of Rights
// (A) Copyright Grant- Subject to the terms of this license, including the license
//     conditions and limitations in section 3, each contributor grants you a non-exclusive,
//     worldwide, royalty-free copyright license to reproduce its contribution, prepare derivative 
//     works of its contribution, and distribute its contribution or any derivative works that you create.
// (B) Patent Grant- Subject to the terms of this license, including the license conditions and limitations
//     in section 3, each contributor grants you a non-exclusive, worldwide, royalty-free license under its
//     licensed patents to make, have made, use, sell, offer for sale, import, and/or otherwise dispose of
//     its contribution in the software or derivative works of the contribution in the software.
// 
// 3. Conditions and Limitations
// (A) Reciprocal Grants- For any file you distribute that contains code from the software (in source code or binary format), 
//     you must provide recipients the source code to that file along with a copy of this license, which license will govern that file. 
//     You may license other files that are entirely your own work and do not contain code from the software under any terms you choose.
// (B) No Trademark License- This license does not grant you rights to use any contributors' name, logo, or trademarks.
// (C) If you bring a patent claim against any contributor over patents that you claim are infringed by the software,
//     your patent license from such contributor to the software ends automatically.
// (D) If you distribute any portion of the software, you must retain all copyright, patent, trademark,
//     and attribution notices that are present in the software.
// (E) If you distribute any portion of the software in source code form, you may do so only under this license by including a complete copy 
//     of this license with your distribution. If you distribute any portion of the software in compiled or object code form, you may only do 
//     so under a license that complies with this license.
// (F) The software is licensed "as-is." You bear the risk of using it. The contributors give no express warranties, guarantees or conditions.
//    You may have additional consumer rights under your local laws which this license cannot change. To the extent permitted under your
//    local laws, the contributors exclude the implied warranties of merchantability, fitness for a particular purpose and non-infringement.
#endregion

using System;

namespace DnEcuDiag.Conversion
{
    public class CFC218FConversion : Convertor, IConvertor
    {
        public float Convert(int conversionId, byte[] rawData)
        {
            float result = 0;
            UInt32 rawValue = ConvertByteArray(rawData);

            switch (conversionId)
            {
                case 0:
                    result = rawValue;
                    break;
                case 1:
                    result = rawValue * 0.036f;
                    break;
                case 2:
                    result = rawValue * 0.032f;
                    break;
                case 3:
                    result = rawValue * 0.026f;
                    break;
                case 4:
                    result = rawValue * 0.04f;
                    break;
                case 5:
                    result = (rawValue - 100) / 10.4f;
                    break;
                case 6:
                    result = BitConverter.ToInt16(rawData, 0) * 0.1f;
                    break;
                case 7:
                    result = rawValue * 0.0281f;
                    break;
                case 8:
                    result = rawValue;
                    break;
                case 9:
                    result = rawValue * 0.011f;
                    break;
                case 10:
                    result = rawValue * 10f;
                    break;
                case 11:
                    result = rawValue * 7.8f;
                    break;
                case 12:
                    result = rawValue;
                    break;
                case 13:
                    result = rawValue * 0.036f;
                    break;
                case 14:
                    result = rawValue * 0.032f;
                    break;
                case 15:
                    result = rawValue * 0.026f;
                    break;
                case 16:
                    result = rawValue * 7.8f;
                    break;
                case 17:
                    result = BitConverter.ToInt16(rawData, 0) * 0.1f;
                    break;
                case 18:
                    result = rawValue * 0.2f;
                    break;
                case 19:
                    result = rawValue;
                    break;
                case 20:
                    result = rawValue * 0.06f;
                    break;
                case 21:
                    result = rawValue;
                    break;
                case 22:
                    result = rawValue * 32f;
                    break;
                case 23:
                    result = rawValue * 1.41f;
                    break;
                case 24:
                    result = rawValue * 3.2f;
                    break;
                case 25:
                    result = rawValue * 0.899f;
                    break;
            }

            return result;
        }
    }
}