﻿#region License
// Copyright © 2004 - 2010 All Right Reserved, Derek Goslin
// 
// 1. Definitions
// The terms "reproduce," "reproduction," "derivative works," and "distribution" have the same meaning here as under U.S. copyright law.
// A "contribution" is the original software, or any additions or changes to the software.
// A "contributor" is any person that distributes its contribution under this license.
// "Licensed patents" are a contributor's patent claims that read directly on its contribution.
// 
// 2. Grant of Rights
// (A) Copyright Grant- Subject to the terms of this license, including the license
//     conditions and limitations in section 3, each contributor grants you a non-exclusive,
//     worldwide, royalty-free copyright license to reproduce its contribution, prepare derivative 
//     works of its contribution, and distribute its contribution or any derivative works that you create.
// (B) Patent Grant- Subject to the terms of this license, including the license conditions and limitations
//     in section 3, each contributor grants you a non-exclusive, worldwide, royalty-free license under its
//     licensed patents to make, have made, use, sell, offer for sale, import, and/or otherwise dispose of
//     its contribution in the software or derivative works of the contribution in the software.
// 
// 3. Conditions and Limitations
// (A) Reciprocal Grants- For any file you distribute that contains code from the software (in source code or binary format), 
//     you must provide recipients the source code to that file along with a copy of this license, which license will govern that file. 
//     You may license other files that are entirely your own work and do not contain code from the software under any terms you choose.
// (B) No Trademark License- This license does not grant you rights to use any contributors' name, logo, or trademarks.
// (C) If you bring a patent claim against any contributor over patents that you claim are infringed by the software,
//     your patent license from such contributor to the software ends automatically.
// (D) If you distribute any portion of the software, you must retain all copyright, patent, trademark,
//     and attribution notices that are present in the software.
// (E) If you distribute any portion of the software in source code form, you may do so only under this license by including a complete copy 
//     of this license with your distribution. If you distribute any portion of the software in compiled or object code form, you may only do 
//     so under a license that complies with this license.
// (F) The software is licensed "as-is." You bear the risk of using it. The contributors give no express warranties, guarantees or conditions.
//    You may have additional consumer rights under your local laws which this license cannot change. To the extent permitted under your
//    local laws, the contributors exclude the implied warranties of merchantability, fitness for a particular purpose and non-infringement.
#endregion

using System;

namespace DnEcuDiag.Conversion
{
    public class Edc16C9Conversion : Convertor, IConvertor
    {
        #region IConvertor Members

        public float Convert(int conversionId, byte[] rawData)
        {
            float result = 0;
            UInt32 rawValue = ConvertByteArray(rawData);

            switch (conversionId)
            {
                case 500:
                    result = rawValue / 10f;
                    break;
                case 501:
                    result = rawValue;
                    break;
                case 502:
                    result = rawValue * 10;
                    break;
                case 503:
                    result = rawValue * 40;
                    break;
                case 504:
                    result = rawValue;
                    break;
                case 505:
                    result = rawValue / 10f;
                    break;
                case 506:
                    result = rawValue;
                    break;
                case 507:
                    result = rawValue * 0.0122f;
                    break;
                case 508:
                    result = rawValue * 0.1f;
                    break;
                case 509:
                    result = rawValue * 0.1f;
                    break;
                case 510:
                    result = rawValue * 0.01f;
                    break;
                case 511:
                    result = rawValue * 0.1f;
                    break;
                case 512:
                    result = rawValue * 0.1f;
                    break;
                case 513:
                    result = rawValue * 0.01f;
                    break;
                case 514:
                    result = rawValue;
                    break;
                case 515:
                    result = rawValue;
                    break;
                case 516:
                    result = rawValue * 0.01f;
                    break;
                case 517:
                    result = rawValue;
                    break;
                case 518:
                    result = (rawValue * 0.1f) - 273.14f;
                    break;
                case 519:
                    result = (rawValue * 0.1f) - 273.14f;
                    break;
                case 520:
                    result = (rawValue * 0.1f) - 273.14f;
                    break;
                case 521:
                    result = (rawValue * 0.1f) - 273.14f;
                    break;
                case 522:
                    result = rawValue * 0.01f;
                    break;
                case 523:
                    result = (rawValue * 19.55f) / 1000;
                    break;
                case 524:
                    result = rawValue * 4.8876f;
                    break;
                case 525:
                    result = rawValue * 4.8876f;
                    break;
                case 526:
                    result = rawValue * 4.8876f;
                    break;
                case 527:
                    result = rawValue * 4.8876f;
                    break;
                case 528:
                    result = rawValue * 4.8876f;
                    break;
                case 529:
                    result = rawValue * 4.8876f;
                    break;
                case 530:
                    result = rawValue * 4.8876f;
                    break;
                case 531:
                    result = rawValue * 4.8876f;
                    break;
                case 532:
                    result = rawValue * 4.8876f;
                    break;
                case 533:
                    result = rawValue * 4.8876f;
                    break;
                case 534:
                    result = rawValue;
                    break;
                case 535:
                    result = rawValue / 500f;
                    break;
                case 536:
                    result = rawValue * 0.01f;
                    break;
                case 537:
                    result = rawValue * 0.01f;
                    break;
                case 538:
                    result = rawValue * 0.01f;
                    break;
                case 539:
                    result = ((Int16)rawValue) / 42.67f;
                    break;
                case 540:
                    result = rawValue;
                    break;
                case 541:
                    result = rawValue * 0.01f;
                    break;
                case 542:
                    result = ((Int16)rawValue) * 0.01f;
                    break;
                case 543:
                    result = ((Int16)rawValue) * 0.01f;
                    break;
                case 545:
                    result = rawValue;
                    break;
                case 546:
                    result = rawValue * 23.53f;
                    break;
                case 547:
                    result = rawValue * 0.3137f;
                    break;
                case 548:
                    result = rawValue * 0.39215f;
                    break;
                case 549:
                    result = rawValue * 7.843f;
                    break;
                case 550:
                    result = rawValue * 11.765f;
                    break;
                case 551:
                    result = rawValue * 0.6549f - 40;
                    break;
            }

            return result;
        }

        #endregion
    }
}
