﻿#region License
// Copyright © 2004 - 2010 All Right Reserved, Derek Goslin
// 
// 1. Definitions
// The terms "reproduce," "reproduction," "derivative works," and "distribution" have the same meaning here as under U.S. copyright law.
// A "contribution" is the original software, or any additions or changes to the software.
// A "contributor" is any person that distributes its contribution under this license.
// "Licensed patents" are a contributor's patent claims that read directly on its contribution.
// 
// 2. Grant of Rights
// (A) Copyright Grant- Subject to the terms of this license, including the license
//     conditions and limitations in section 3, each contributor grants you a non-exclusive,
//     worldwide, royalty-free copyright license to reproduce its contribution, prepare derivative 
//     works of its contribution, and distribute its contribution or any derivative works that you create.
// (B) Patent Grant- Subject to the terms of this license, including the license conditions and limitations
//     in section 3, each contributor grants you a non-exclusive, worldwide, royalty-free license under its
//     licensed patents to make, have made, use, sell, offer for sale, import, and/or otherwise dispose of
//     its contribution in the software or derivative works of the contribution in the software.
// 
// 3. Conditions and Limitations
// (A) Reciprocal Grants- For any file you distribute that contains code from the software (in source code or binary format), 
//     you must provide recipients the source code to that file along with a copy of this license, which license will govern that file. 
//     You may license other files that are entirely your own work and do not contain code from the software under any terms you choose.
// (B) No Trademark License- This license does not grant you rights to use any contributors' name, logo, or trademarks.
// (C) If you bring a patent claim against any contributor over patents that you claim are infringed by the software,
//     your patent license from such contributor to the software ends automatically.
// (D) If you distribute any portion of the software, you must retain all copyright, patent, trademark,
//     and attribution notices that are present in the software.
// (E) If you distribute any portion of the software in source code form, you may do so only under this license by including a complete copy 
//     of this license with your distribution. If you distribute any portion of the software in compiled or object code form, you may only do 
//     so under a license that complies with this license.
// (F) The software is licensed "as-is." You bear the risk of using it. The contributors give no express warranties, guarantees or conditions.
//    You may have additional consumer rights under your local laws which this license cannot change. To the extent permitted under your
//    local laws, the contributors exclude the implied warranties of merchantability, fitness for a particular purpose and non-infringement.
#endregion

using System;

namespace DnEcuDiag.Conversion
{
    public class ME731Conversion : Convertor, IConvertor
    {
        #region IConvertor Members

        #region IConvertor Members

        public float Convert(int conversionId, byte[] rawData)
        {
            float result = 0;
            UInt32 rawValue = ConvertByteArray(rawData);

            switch (conversionId)
            {
                case 0:
                    result = rawValue;
                    break;
                case 300:
                    result = rawValue * 0.1f;
                    break;
                case 301:
                    result = rawValue;
                    break;
                case 302:
                    result = rawValue * 100;
                    break;
                case 303:
                    result = rawValue * 40;
                    break;
                case 304:
                    result = rawValue;
                    break;
                case 305:
                    result = rawValue * 0.1f;
                    break;
                case 306:
                    result = rawValue * 0.25f;
                    break;
                case 307:
                    result = (rawValue * 0.75f) - 48;
                    break;
                case 308:
                    result = (rawValue * 0.75f) - 48;
                    break;
                case 309:
                    result = rawValue * 0.1f;
                    break;
                case 310:
                    result = BitConverter.ToInt16(new[] { rawData[1], rawData[0] }, 0) * 0.75f;
                    break;
                case 311:
                    result = rawValue / 75f;
                    break;
                case 312:
                    result = rawValue * 0.75f / 32;
                    break;
                case 313:
                    result = BitConverter.ToInt16(new[] { rawData[1], rawData[0] }, 0) * 0.0244f;
                    break;
                case 314:
                    result = rawValue * 0.1f;
                    break;
                case 316:
                    result = rawValue * 0.0723f;
                    break;
                case 317:
                    result = rawValue * 0.00781f;
                    break;
                case 318:
                    result = rawValue * 0.0048828125f - 1;
                    break;
                case 319:
                    result = rawValue * 0.0048828125f - 1;
                    break;
                case 320:
                    result = rawValue * 0.0048828125f - 1;
                    break;
                case 321:
                    result = rawValue * 0.0048828125f - 1;
                    break;
                case 322:
                    result = rawValue * 10;
                    break;
                case 323:
                    result = rawValue * 100f / 256;
                    break;
                case 324:
                    result = rawValue / 375f;
                    break;

                case 325:
                    result = rawValue * 5f / 1024;
                    break;

                case 326:
                    result = rawValue * 5f / 1024;
                    break;

                case 327:
                    result = rawValue * 0.00152f;
                    break;

                case 328:
                    result = rawValue * 2f / 65536;
                    break;

                case 329:
                    result = rawValue * 2f / 65536;
                    break;

                case 330:
                    result = rawValue * 2f / 65536;
                    break;

                case 331:
                    result = rawValue * 2f / 65536;
                    break;

                case 332:
                    result = rawValue * 2f / 65536;
                    break;

                case 333:
                    result = rawValue * 2f / 65536;
                    break;

                case 334:
                    result = rawValue * 2f / 65536;
                    break;

                case 335:
                    result = rawValue * 2f / 65536;
                    break;

                case 336:
                    result = BitConverter.ToInt16(new[] { rawData[1], rawData[0] }, 0) * 0.0468f;
                    break;

                case 337:
                    result = BitConverter.ToInt16(new[] { rawData[1], rawData[0] }, 0) * 0.0468f;
                    break;

                case 338:
                    result = BitConverter.ToInt16(new[] { rawData[1], rawData[0] }, 0) * 0.0468f;
                    break;

                case 339:
                    result = BitConverter.ToInt16(new[] { rawData[1], rawData[0] }, 0) * 0.0468f;
                    break;

                case 342:
                    result = BitConverter.ToInt16(new[] { rawData[1], rawData[0] }, 0) * 100f / 32768;
                    break;

                case 343:
                    result = rawValue * 100f / 65536;
                    break;

                case 344:
                    result = rawValue * 4f / 65536;
                    break;

                case 345:
                    result = rawValue * 10f / 256;
                    break;

                case 346:
                    result = rawValue * 10f / 256;
                    break;

                case 347:
                    result = rawValue * 0.0039f;
                    break;

                case 348:
                    result = rawValue * 16f / 65536;
                    break;

                case 349:
                    result = rawValue * 16f / 65536;
                    break;

                case 350:
                    result = System.Convert.ToInt32(rawValue * 5) - 50;
                    break;

                case 351:
                    result = System.Convert.ToInt32(rawValue * 5) - 50;
                    break;

                case 352:
                    result = rawValue * 0.75f;
                    break;

                case 353:
                    result = rawValue * 0.1f;
                    break;

                case 354:
                    result = rawValue * 100f / 65536;
                    break;

                case 355:
                    result = rawValue * 100f / 65536;
                    break;

                case 356:
                    result = rawValue * 200f / 65536;
                    break;

                case 357:
                    result = rawValue * 100f / 65536;
                    break;

                case 358:
                    result = rawValue * 100f / 65536;
                    break;
                case 359:
                    result = rawValue * 100f / 65536;
                    break;
                case 360:
                    result = rawValue * 100f / 65536;
                    break;
                case 361:
                    result = rawValue * 100f / 65536;
                    break;
                case 362:
                    result = rawValue * 100f / 65536;
                    break;
                case 363:
                    result = rawValue * 100f / 65536;
                    break;

                case 364:
                    result = rawValue * 100f / 65536;
                    break;

                case 365:
                    result = rawValue * 100f / 65536;
                    break;

                case 366:
                    result = rawValue * 100f / 65536;
                    break;

                case 367:
                    result = rawValue * 100f / 65536;
                    break;

                case 368:
                    result = System.Convert.ToInt32(rawValue * 5) - 50;
                    break;

                case 369:
                    result = BitConverter.ToInt16(new[] { rawData[1], rawData[0] }, 0) * 100f / 32768;
                    break;
                case 370:
                    result = BitConverter.ToInt16(new[] { rawData[1], rawData[0] }, 0) * 100f / 32768;
                    break;
                case 371:
                    result = BitConverter.ToInt16(new[] { rawData[1], rawData[0] }, 0) * 100f / 32768;
                    break;
                case 372:
                    result = rawValue * 64f / 65536;
                    break;
                case 373:
                    result = BitConverter.ToInt16(new[] { rawData[1], rawData[0] }, 0) * 0.75f - 48;
                    break;
                case 374:
                    result = BitConverter.ToInt16(new[] { rawData[1], rawData[0] }, 0) * 128f / 65536;
                    break;
                case 375:
                    result = rawValue * 0.1f;
                    break;
                case 376:
                    result = rawValue;
                    break;
                case 378:
                    result = System.Convert.ToInt32(rawValue * 5) - 50;
                    break;
                case 379:
                    result = rawValue * 1530f / 255;
                    break;
                case 380:
                    result = (rawValue / 255) * 100;
                    break;
            }

            return result;
        }

        #endregion

        #endregion
    }
}
