#region License
// Copyright  2004 - 2010 All Right Reserved, Derek Goslin
// 
// 1. Definitions
// The terms "reproduce," "reproduction," "derivative works," and "distribution" have the same meaning here as under U.S. copyright law.
// A "contribution" is the original software, or any additions or changes to the software.
// A "contributor" is any person that distributes its contribution under this license.
// "Licensed patents" are a contributor's patent claims that read directly on its contribution.
// 
// 2. Grant of Rights
// (A) Copyright Grant- Subject to the terms of this license, including the license
//     conditions and limitations in section 3, each contributor grants you a non-exclusive,
//     worldwide, royalty-free copyright license to reproduce its contribution, prepare derivative 
//     works of its contribution, and distribute its contribution or any derivative works that you create.
// (B) Patent Grant- Subject to the terms of this license, including the license conditions and limitations
//     in section 3, each contributor grants you a non-exclusive, worldwide, royalty-free license under its
//     licensed patents to make, have made, use, sell, offer for sale, import, and/or otherwise dispose of
//     its contribution in the software or derivative works of the contribution in the software.
// 
// 3. Conditions and Limitations
// (A) Reciprocal Grants- For any file you distribute that contains code from the software (in source code or binary format), 
//     you must provide recipients the source code to that file along with a copy of this license, which license will govern that file. 
//     You may license other files that are entirely your own work and do not contain code from the software under any terms you choose.
// (B) No Trademark License- This license does not grant you rights to use any contributors' name, logo, or trademarks.
// (C) If you bring a patent claim against any contributor over patents that you claim are infringed by the software,
//     your patent license from such contributor to the software ends automatically.
// (D) If you distribute any portion of the software, you must retain all copyright, patent, trademark,
//     and attribution notices that are present in the software.
// (E) If you distribute any portion of the software in source code form, you may do so only under this license by including a complete copy 
//     of this license with your distribution. If you distribute any portion of the software in compiled or object code form, you may only do 
//     so under a license that complies with this license.
// (F) The software is licensed "as-is." You bear the risk of using it. The contributors give no express warranties, guarantees or conditions.
//    You may have additional consumer rights under your local laws which this license cannot change. To the extent permitted under your
//    local laws, the contributors exclude the implied warranties of merchantability, fitness for a particular purpose and non-infringement.
#endregion

namespace DnEcuDiag.Ecus.Kwp
{
    ///	<summary>
    ///	The	exception response code.
    ///	</summary>
    public enum ResponseCode
    {
        /// <summary>
        /// Response code unknown.
        /// </summary>
        Unknown = 0,
        ///	<summary>
        ///	A general reject from the ecu.
        ///	</summary>
        GeneralReject = 0x10,
        ///	<summary>
        ///	Service	Not	Supported by the ecu.
        ///	</summary>
        ServiceNotSupported,
        ///	<summary>
        ///	SubFunctionNotSupportedInvalidFormat
        ///	</summary>
        SubFunctionNotSupportedInvalidFormat,
        ///	<summary>
        ///	BusyRepeatRequest
        ///	</summary>
        BusyRepeatRequest = 0x21,
        ///	<summary>
        ///	ConditionsNotCorrectOrRequestSequenceError
        ///	</summary>
        ConditionsNotCorrectOrRequestSequenceError,
        ///	<summary>
        ///	RoutineNotComplete
        ///	</summary>
        RoutineNotComplete,
        ///	<summary>
        ///	RequestOutOfRange
        ///	</summary>
        RequestOutOfRange = 0x31,
        ///	<summary>
        ///	SecurityAccessDeniedSecurityAccessRequested
        ///	</summary>
        SecurityAccessDeniedSecurityAccessRequested = 0x33,
        ///	<summary>
        ///	InvalidKey
        ///	</summary>
        InvalidKey = 0x35,
        ///	<summary>
        ///	ExceedNumberOfAttempts
        ///	</summary>
        ExceedNumberOfAttempts,
        ///	<summary>
        ///	RequiredTimeDelayNotExpired
        ///	</summary>
        RequiredTimeDelayNotExpired,
        ///	<summary>
        ///	DownloadNotAccepted
        ///	</summary>
        DownloadNotAccepted = 0x40,
        ///	<summary>
        ///	ImproperDownloadType
        ///	</summary>
        ImproperDownloadType,
        ///	<summary>
        ///	CanNotDownloadToSpecifiedAddress
        ///	</summary>
        CannotDownloadToSpecifiedAddress,
        ///	<summary>
        ///	CanNotDownloadNumberOfBytesRequested
        ///	</summary>
        CannotDownloadNumberOfBytesRequested,
        ///	<summary>
        ///	UploadNotAccepted
        ///	</summary>
        UploadNotAccepted = 0x50,
        ///	<summary>
        ///	ImproperUploadType
        ///	</summary>
        ImproperUploadType,
        ///	<summary>
        ///	CanNotUploadFromSpecifiedAddress
        ///	</summary>
        CannotUploadFromSpecifiedAddress,
        ///	<summary>
        ///	CanNotUploadNumberOfBytesRequested
        ///	</summary>
        CannotUploadNumberOfBytesRequested,
        ///	<summary>
        ///	TransferSuspended
        ///	</summary>
        TransferSuspended = 0x71,
        ///	<summary>
        ///	TransferAborted
        ///	</summary>
        TransferAborted,
        ///	<summary>
        ///	IllegalAddressInBlockTransfer
        ///	</summary>
        IllegalAddressInBlockTransfer,
        ///	<summary>
        ///	IllegalByteCountInBlockTransfer
        ///	</summary>
        IllegalByteCountInBlockTransfer,
        ///	<summary>
        ///	IllegalBlockTransferType
        ///	</summary>
        IllegalBlockTransferType,
        ///	<summary>
        ///	BlockTransferDataChecksumError
        ///	</summary>
        BlockTransferDataChecksumError,
        ///	<summary>
        ///	RequestCorrectlyReceivedResponsePending
        ///	</summary>
        RequestCorrectlyReceivedResponsePending,
        ///	<summary>
        ///	IncorrectlyByteCountDuringBlockTransfer	to the ecu.
        ///	</summary>
        IncorrectlyByteCountDuringBlockTransfer,
        ///	<summary>
        ///	ServiceNotSupportedInActiveDiagnosticMode by the ecu.
        ///	</summary>
        ServiceNotSupportedInactiveDiagnosticMode
    } ;
}