#region License
// Copyright  2004 - 2010 All Right Reserved, Derek Goslin
// 
// 1. Definitions
// The terms "reproduce," "reproduction," "derivative works," and "distribution" have the same meaning here as under U.S. copyright law.
// A "contribution" is the original software, or any additions or changes to the software.
// A "contributor" is any person that distributes its contribution under this license.
// "Licensed patents" are a contributor's patent claims that read directly on its contribution.
// 
// 2. Grant of Rights
// (A) Copyright Grant- Subject to the terms of this license, including the license
//     conditions and limitations in section 3, each contributor grants you a non-exclusive,
//     worldwide, royalty-free copyright license to reproduce its contribution, prepare derivative 
//     works of its contribution, and distribute its contribution or any derivative works that you create.
// (B) Patent Grant- Subject to the terms of this license, including the license conditions and limitations
//     in section 3, each contributor grants you a non-exclusive, worldwide, royalty-free license under its
//     licensed patents to make, have made, use, sell, offer for sale, import, and/or otherwise dispose of
//     its contribution in the software or derivative works of the contribution in the software.
// 
// 3. Conditions and Limitations
// (A) Reciprocal Grants- For any file you distribute that contains code from the software (in source code or binary format), 
//     you must provide recipients the source code to that file along with a copy of this license, which license will govern that file. 
//     You may license other files that are entirely your own work and do not contain code from the software under any terms you choose.
// (B) No Trademark License- This license does not grant you rights to use any contributors' name, logo, or trademarks.
// (C) If you bring a patent claim against any contributor over patents that you claim are infringed by the software,
//     your patent license from such contributor to the software ends automatically.
// (D) If you distribute any portion of the software, you must retain all copyright, patent, trademark,
//     and attribution notices that are present in the software.
// (E) If you distribute any portion of the software in source code form, you may do so only under this license by including a complete copy 
//     of this license with your distribution. If you distribute any portion of the software in compiled or object code form, you may only do 
//     so under a license that complies with this license.
// (F) The software is licensed "as-is." You bear the risk of using it. The contributors give no express warranties, guarantees or conditions.
//    You may have additional consumer rights under your local laws which this license cannot change. To the extent permitted under your
//    local laws, the contributors exclude the implied warranties of merchantability, fitness for a particular purpose and non-infringement.
#endregion

using System;
using System.Windows.Forms;
using DnEcuDiag.Configuration;

namespace DnEcuDiag.Forms
{
    ///	<summary>
    ///	Summary	description	for	AppConfig.
    ///	</summary>
    public class FormApplicationConfiguration : System.Windows.Forms.Form
    {
        private	System.Windows.Forms.Button	btnCancel;
        private System.Windows.Forms.Button btnOK;
        private TabControl tabConfiguration;
        private TabPage tabApplication;
        private TabPage tabLogging;
        private NumericUpDown nudDynofilter;
        private CheckBox cbSingleFile;
        private TabPage tabSensorPlotColors;
        private Label lblBgColor;
        private Label lblPlotColor;
        private Label lblGridColor;
        private OfficePickers.ColorPicker.ComboBoxColorPicker backGroundColorPicker;
        private OfficePickers.ColorPicker.ComboBoxColorPicker plotColorPicker;
        private OfficePickers.ColorPicker.ComboBoxColorPicker gridColorPicker;
        private OfficePickers.ColorPicker.ComboBoxColorPicker legendColorPicker;
        private NumericUpDown numUdSensorPlotDelay;
        private Label lblPlotInterval;
        private Label lblDynoPlotFilter;
        private Label lblLegndColor;
        private CheckBox cbEnableVisualStyles;
        private CheckBox cbTimestampFormat;
        private CheckBox cbDisablePopups;
        private System.ComponentModel.IContainer components;
        ///	<summary>
        ///	Constructor.
        ///	</summary>
        public FormApplicationConfiguration()
        {
            //
            // Required	for	Windows	Form Designer support
            //
            InitializeComponent();
        }

        ///	<summary>
        ///	Clean up any resources being used.
        ///	</summary>
        protected override void	Dispose( bool disposing	)
        {
            if(	disposing )
            {
                if(components != null)
                {
                    components.Dispose();
                }
            }
            base.Dispose( disposing	);
        }

        #region	Windows	Form Designer generated	code
        ///	<summary>
        ///	Required method	for	Designer support - do not modify
        ///	the	contents of	this method	with the code editor.
        ///	</summary>
        private	void InitializeComponent()
        {
            System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(FormApplicationConfiguration));
            this.btnCancel = new System.Windows.Forms.Button();
            this.btnOK = new System.Windows.Forms.Button();
            this.tabConfiguration = new System.Windows.Forms.TabControl();
            this.tabApplication = new System.Windows.Forms.TabPage();
            this.cbDisablePopups = new System.Windows.Forms.CheckBox();
            this.cbEnableVisualStyles = new System.Windows.Forms.CheckBox();
            this.lblDynoPlotFilter = new System.Windows.Forms.Label();
            this.lblPlotInterval = new System.Windows.Forms.Label();
            this.nudDynofilter = new System.Windows.Forms.NumericUpDown();
            this.numUdSensorPlotDelay = new System.Windows.Forms.NumericUpDown();
            this.tabLogging = new System.Windows.Forms.TabPage();
            this.cbTimestampFormat = new System.Windows.Forms.CheckBox();
            this.cbSingleFile = new System.Windows.Forms.CheckBox();
            this.tabSensorPlotColors = new System.Windows.Forms.TabPage();
            this.lblLegndColor = new System.Windows.Forms.Label();
            this.lblGridColor = new System.Windows.Forms.Label();
            this.lblPlotColor = new System.Windows.Forms.Label();
            this.lblBgColor = new System.Windows.Forms.Label();
            this.legendColorPicker = new OfficePickers.ColorPicker.ComboBoxColorPicker();
            this.gridColorPicker = new OfficePickers.ColorPicker.ComboBoxColorPicker();
            this.plotColorPicker = new OfficePickers.ColorPicker.ComboBoxColorPicker();
            this.backGroundColorPicker = new OfficePickers.ColorPicker.ComboBoxColorPicker();
            this.tabConfiguration.SuspendLayout();
            this.tabApplication.SuspendLayout();
            ((System.ComponentModel.ISupportInitialize)(this.nudDynofilter)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.numUdSensorPlotDelay)).BeginInit();
            this.tabLogging.SuspendLayout();
            this.tabSensorPlotColors.SuspendLayout();
            this.SuspendLayout();
            // 
            // btnCancel
            // 
            this.btnCancel.AccessibleDescription = null;
            this.btnCancel.AccessibleName = null;
            resources.ApplyResources(this.btnCancel, "btnCancel");
            this.btnCancel.BackgroundImage = null;
            this.btnCancel.DialogResult = System.Windows.Forms.DialogResult.Cancel;
            this.btnCancel.Font = null;
            this.btnCancel.Name = "btnCancel";
            this.btnCancel.Click += new System.EventHandler(this.btnCancel_Click);
            // 
            // btnOK
            // 
            this.btnOK.AccessibleDescription = null;
            this.btnOK.AccessibleName = null;
            resources.ApplyResources(this.btnOK, "btnOK");
            this.btnOK.BackgroundImage = null;
            this.btnOK.Font = null;
            this.btnOK.Name = "btnOK";
            this.btnOK.Click += new System.EventHandler(this.btnOK_Click);
            // 
            // tabConfiguration
            // 
            this.tabConfiguration.AccessibleDescription = null;
            this.tabConfiguration.AccessibleName = null;
            resources.ApplyResources(this.tabConfiguration, "tabConfiguration");
            this.tabConfiguration.BackgroundImage = null;
            this.tabConfiguration.Controls.Add(this.tabApplication);
            this.tabConfiguration.Controls.Add(this.tabLogging);
            this.tabConfiguration.Controls.Add(this.tabSensorPlotColors);
            this.tabConfiguration.Font = null;
            this.tabConfiguration.Name = "tabConfiguration";
            this.tabConfiguration.SelectedIndex = 0;
            // 
            // tabApplication
            // 
            this.tabApplication.AccessibleDescription = null;
            this.tabApplication.AccessibleName = null;
            resources.ApplyResources(this.tabApplication, "tabApplication");
            this.tabApplication.BackgroundImage = null;
            this.tabApplication.Controls.Add(this.cbDisablePopups);
            this.tabApplication.Controls.Add(this.cbEnableVisualStyles);
            this.tabApplication.Controls.Add(this.lblDynoPlotFilter);
            this.tabApplication.Controls.Add(this.lblPlotInterval);
            this.tabApplication.Controls.Add(this.nudDynofilter);
            this.tabApplication.Controls.Add(this.numUdSensorPlotDelay);
            this.tabApplication.Font = null;
            this.tabApplication.Name = "tabApplication";
            this.tabApplication.UseVisualStyleBackColor = true;
            // 
            // cbDisablePopups
            // 
            this.cbDisablePopups.AccessibleDescription = null;
            this.cbDisablePopups.AccessibleName = null;
            resources.ApplyResources(this.cbDisablePopups, "cbDisablePopups");
            this.cbDisablePopups.BackgroundImage = null;
            this.cbDisablePopups.Checked = global::DnEcuDiag.Properties.Settings.Default.DisablePopups;
            this.cbDisablePopups.DataBindings.Add(new System.Windows.Forms.Binding("Checked", global::DnEcuDiag.Properties.Settings.Default, "DisablePopups", true, System.Windows.Forms.DataSourceUpdateMode.OnPropertyChanged));
            this.cbDisablePopups.Font = null;
            this.cbDisablePopups.Name = "cbDisablePopups";
            this.cbDisablePopups.UseVisualStyleBackColor = true;
            // 
            // cbEnableVisualStyles
            // 
            this.cbEnableVisualStyles.AccessibleDescription = null;
            this.cbEnableVisualStyles.AccessibleName = null;
            resources.ApplyResources(this.cbEnableVisualStyles, "cbEnableVisualStyles");
            this.cbEnableVisualStyles.BackgroundImage = null;
            this.cbEnableVisualStyles.Checked = global::DnEcuDiag.Properties.Settings.Default.EnableVisualStyles;
            this.cbEnableVisualStyles.CheckState = System.Windows.Forms.CheckState.Checked;
            this.cbEnableVisualStyles.DataBindings.Add(new System.Windows.Forms.Binding("Checked", global::DnEcuDiag.Properties.Settings.Default, "EnableVisualStyles", true, System.Windows.Forms.DataSourceUpdateMode.OnPropertyChanged));
            this.cbEnableVisualStyles.Font = null;
            this.cbEnableVisualStyles.Name = "cbEnableVisualStyles";
            this.cbEnableVisualStyles.UseVisualStyleBackColor = true;
            // 
            // lblDynoPlotFilter
            // 
            this.lblDynoPlotFilter.AccessibleDescription = null;
            this.lblDynoPlotFilter.AccessibleName = null;
            resources.ApplyResources(this.lblDynoPlotFilter, "lblDynoPlotFilter");
            this.lblDynoPlotFilter.Font = null;
            this.lblDynoPlotFilter.Name = "lblDynoPlotFilter";
            // 
            // lblPlotInterval
            // 
            this.lblPlotInterval.AccessibleDescription = null;
            this.lblPlotInterval.AccessibleName = null;
            resources.ApplyResources(this.lblPlotInterval, "lblPlotInterval");
            this.lblPlotInterval.Font = null;
            this.lblPlotInterval.Name = "lblPlotInterval";
            // 
            // nudDynofilter
            // 
            this.nudDynofilter.AccessibleDescription = null;
            this.nudDynofilter.AccessibleName = null;
            resources.ApplyResources(this.nudDynofilter, "nudDynofilter");
            this.nudDynofilter.DataBindings.Add(new System.Windows.Forms.Binding("Value", global::DnEcuDiag.Properties.Settings.Default, "DynoFilterCount", true, System.Windows.Forms.DataSourceUpdateMode.OnPropertyChanged));
            this.nudDynofilter.Font = null;
            this.nudDynofilter.Maximum = new decimal(new int[] {
            10,
            0,
            0,
            0});
            this.nudDynofilter.Minimum = new decimal(new int[] {
            5,
            0,
            0,
            0});
            this.nudDynofilter.Name = "nudDynofilter";
            this.nudDynofilter.Value = global::DnEcuDiag.Properties.Settings.Default.DynoFilterCount;
            // 
            // numUdSensorPlotDelay
            // 
            this.numUdSensorPlotDelay.AccessibleDescription = null;
            this.numUdSensorPlotDelay.AccessibleName = null;
            resources.ApplyResources(this.numUdSensorPlotDelay, "numUdSensorPlotDelay");
            this.numUdSensorPlotDelay.Font = null;
            this.numUdSensorPlotDelay.Increment = new decimal(new int[] {
            100,
            0,
            0,
            0});
            this.numUdSensorPlotDelay.Maximum = new decimal(new int[] {
            500,
            0,
            0,
            0});
            this.numUdSensorPlotDelay.Name = "numUdSensorPlotDelay";
            this.numUdSensorPlotDelay.Value = global::DnEcuDiag.Properties.Settings.Default.SampleDelay;
            // 
            // tabLogging
            // 
            this.tabLogging.AccessibleDescription = null;
            this.tabLogging.AccessibleName = null;
            resources.ApplyResources(this.tabLogging, "tabLogging");
            this.tabLogging.BackgroundImage = null;
            this.tabLogging.Controls.Add(this.cbTimestampFormat);
            this.tabLogging.Controls.Add(this.cbSingleFile);
            this.tabLogging.Font = null;
            this.tabLogging.Name = "tabLogging";
            this.tabLogging.UseVisualStyleBackColor = true;
            // 
            // cbTimestampFormat
            // 
            this.cbTimestampFormat.AccessibleDescription = null;
            this.cbTimestampFormat.AccessibleName = null;
            resources.ApplyResources(this.cbTimestampFormat, "cbTimestampFormat");
            this.cbTimestampFormat.BackgroundImage = null;
            this.cbTimestampFormat.Checked = global::DnEcuDiag.Properties.Settings.Default.MillisecondFormatTimestamp;
            this.cbTimestampFormat.CheckState = System.Windows.Forms.CheckState.Checked;
            this.cbTimestampFormat.DataBindings.Add(new System.Windows.Forms.Binding("Checked", global::DnEcuDiag.Properties.Settings.Default, "MillisecondFormatTimestamp", true, System.Windows.Forms.DataSourceUpdateMode.OnPropertyChanged));
            this.cbTimestampFormat.Font = null;
            this.cbTimestampFormat.Name = "cbTimestampFormat";
            this.cbTimestampFormat.UseVisualStyleBackColor = true;
            // 
            // cbSingleFile
            // 
            this.cbSingleFile.AccessibleDescription = null;
            this.cbSingleFile.AccessibleName = null;
            resources.ApplyResources(this.cbSingleFile, "cbSingleFile");
            this.cbSingleFile.BackgroundImage = null;
            this.cbSingleFile.Checked = global::DnEcuDiag.Properties.Settings.Default.SingleLogFile;
            this.cbSingleFile.DataBindings.Add(new System.Windows.Forms.Binding("Checked", global::DnEcuDiag.Properties.Settings.Default, "SingleLogFile", true, System.Windows.Forms.DataSourceUpdateMode.OnPropertyChanged));
            this.cbSingleFile.Font = null;
            this.cbSingleFile.Name = "cbSingleFile";
            // 
            // tabSensorPlotColors
            // 
            this.tabSensorPlotColors.AccessibleDescription = null;
            this.tabSensorPlotColors.AccessibleName = null;
            resources.ApplyResources(this.tabSensorPlotColors, "tabSensorPlotColors");
            this.tabSensorPlotColors.BackgroundImage = null;
            this.tabSensorPlotColors.Controls.Add(this.lblLegndColor);
            this.tabSensorPlotColors.Controls.Add(this.lblGridColor);
            this.tabSensorPlotColors.Controls.Add(this.lblPlotColor);
            this.tabSensorPlotColors.Controls.Add(this.lblBgColor);
            this.tabSensorPlotColors.Controls.Add(this.legendColorPicker);
            this.tabSensorPlotColors.Controls.Add(this.gridColorPicker);
            this.tabSensorPlotColors.Controls.Add(this.plotColorPicker);
            this.tabSensorPlotColors.Controls.Add(this.backGroundColorPicker);
            this.tabSensorPlotColors.Font = null;
            this.tabSensorPlotColors.Name = "tabSensorPlotColors";
            this.tabSensorPlotColors.UseVisualStyleBackColor = true;
            // 
            // lblLegndColor
            // 
            this.lblLegndColor.AccessibleDescription = null;
            this.lblLegndColor.AccessibleName = null;
            resources.ApplyResources(this.lblLegndColor, "lblLegndColor");
            this.lblLegndColor.Font = null;
            this.lblLegndColor.Name = "lblLegndColor";
            // 
            // lblGridColor
            // 
            this.lblGridColor.AccessibleDescription = null;
            this.lblGridColor.AccessibleName = null;
            resources.ApplyResources(this.lblGridColor, "lblGridColor");
            this.lblGridColor.Font = null;
            this.lblGridColor.Name = "lblGridColor";
            // 
            // lblPlotColor
            // 
            this.lblPlotColor.AccessibleDescription = null;
            this.lblPlotColor.AccessibleName = null;
            resources.ApplyResources(this.lblPlotColor, "lblPlotColor");
            this.lblPlotColor.Font = null;
            this.lblPlotColor.Name = "lblPlotColor";
            // 
            // lblBgColor
            // 
            this.lblBgColor.AccessibleDescription = null;
            this.lblBgColor.AccessibleName = null;
            resources.ApplyResources(this.lblBgColor, "lblBgColor");
            this.lblBgColor.Font = null;
            this.lblBgColor.Name = "lblBgColor";
            // 
            // legendColorPicker
            // 
            this.legendColorPicker.AccessibleDescription = null;
            this.legendColorPicker.AccessibleName = null;
            resources.ApplyResources(this.legendColorPicker, "legendColorPicker");
            this.legendColorPicker.BackgroundImage = null;
            this.legendColorPicker.Color = global::DnEcuDiag.Properties.Settings.Default.LegendColor;
            this.legendColorPicker.DataBindings.Add(new System.Windows.Forms.Binding("Color", global::DnEcuDiag.Properties.Settings.Default, "LegendColor", true, System.Windows.Forms.DataSourceUpdateMode.OnPropertyChanged));
            this.legendColorPicker.DrawMode = System.Windows.Forms.DrawMode.OwnerDrawFixed;
            this.legendColorPicker.DropDownHeight = 1;
            this.legendColorPicker.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
            this.legendColorPicker.DropDownWidth = 1;
            this.legendColorPicker.Font = null;
            this.legendColorPicker.FormattingEnabled = true;
            this.legendColorPicker.Items.AddRange(new object[] {
            resources.GetString("legendColorPicker.Items"),
            resources.GetString("legendColorPicker.Items1"),
            resources.GetString("legendColorPicker.Items2"),
            resources.GetString("legendColorPicker.Items3"),
            resources.GetString("legendColorPicker.Items4"),
            resources.GetString("legendColorPicker.Items5"),
            resources.GetString("legendColorPicker.Items6"),
            resources.GetString("legendColorPicker.Items7"),
            resources.GetString("legendColorPicker.Items8"),
            resources.GetString("legendColorPicker.Items9"),
            resources.GetString("legendColorPicker.Items10"),
            resources.GetString("legendColorPicker.Items11"),
            resources.GetString("legendColorPicker.Items12"),
            resources.GetString("legendColorPicker.Items13"),
            resources.GetString("legendColorPicker.Items14"),
            resources.GetString("legendColorPicker.Items15"),
            resources.GetString("legendColorPicker.Items16"),
            resources.GetString("legendColorPicker.Items17"),
            resources.GetString("legendColorPicker.Items18"),
            resources.GetString("legendColorPicker.Items19"),
            resources.GetString("legendColorPicker.Items20"),
            resources.GetString("legendColorPicker.Items21"),
            resources.GetString("legendColorPicker.Items22"),
            resources.GetString("legendColorPicker.Items23"),
            resources.GetString("legendColorPicker.Items24"),
            resources.GetString("legendColorPicker.Items25"),
            resources.GetString("legendColorPicker.Items26"),
            resources.GetString("legendColorPicker.Items27"),
            resources.GetString("legendColorPicker.Items28"),
            resources.GetString("legendColorPicker.Items29"),
            resources.GetString("legendColorPicker.Items30"),
            resources.GetString("legendColorPicker.Items31"),
            resources.GetString("legendColorPicker.Items32"),
            resources.GetString("legendColorPicker.Items33"),
            resources.GetString("legendColorPicker.Items34"),
            resources.GetString("legendColorPicker.Items35"),
            resources.GetString("legendColorPicker.Items36"),
            resources.GetString("legendColorPicker.Items37"),
            resources.GetString("legendColorPicker.Items38")});
            this.legendColorPicker.Name = "legendColorPicker";
            // 
            // gridColorPicker
            // 
            this.gridColorPicker.AccessibleDescription = null;
            this.gridColorPicker.AccessibleName = null;
            resources.ApplyResources(this.gridColorPicker, "gridColorPicker");
            this.gridColorPicker.BackgroundImage = null;
            this.gridColorPicker.Color = global::DnEcuDiag.Properties.Settings.Default.GridColor;
            this.gridColorPicker.DataBindings.Add(new System.Windows.Forms.Binding("Color", global::DnEcuDiag.Properties.Settings.Default, "GridColor", true, System.Windows.Forms.DataSourceUpdateMode.OnPropertyChanged));
            this.gridColorPicker.DrawMode = System.Windows.Forms.DrawMode.OwnerDrawFixed;
            this.gridColorPicker.DropDownHeight = 1;
            this.gridColorPicker.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
            this.gridColorPicker.DropDownWidth = 1;
            this.gridColorPicker.Font = null;
            this.gridColorPicker.FormattingEnabled = true;
            this.gridColorPicker.Items.AddRange(new object[] {
            resources.GetString("gridColorPicker.Items"),
            resources.GetString("gridColorPicker.Items1"),
            resources.GetString("gridColorPicker.Items2"),
            resources.GetString("gridColorPicker.Items3"),
            resources.GetString("gridColorPicker.Items4"),
            resources.GetString("gridColorPicker.Items5"),
            resources.GetString("gridColorPicker.Items6"),
            resources.GetString("gridColorPicker.Items7"),
            resources.GetString("gridColorPicker.Items8"),
            resources.GetString("gridColorPicker.Items9"),
            resources.GetString("gridColorPicker.Items10"),
            resources.GetString("gridColorPicker.Items11"),
            resources.GetString("gridColorPicker.Items12"),
            resources.GetString("gridColorPicker.Items13"),
            resources.GetString("gridColorPicker.Items14"),
            resources.GetString("gridColorPicker.Items15"),
            resources.GetString("gridColorPicker.Items16"),
            resources.GetString("gridColorPicker.Items17"),
            resources.GetString("gridColorPicker.Items18"),
            resources.GetString("gridColorPicker.Items19"),
            resources.GetString("gridColorPicker.Items20"),
            resources.GetString("gridColorPicker.Items21"),
            resources.GetString("gridColorPicker.Items22"),
            resources.GetString("gridColorPicker.Items23"),
            resources.GetString("gridColorPicker.Items24"),
            resources.GetString("gridColorPicker.Items25"),
            resources.GetString("gridColorPicker.Items26"),
            resources.GetString("gridColorPicker.Items27"),
            resources.GetString("gridColorPicker.Items28"),
            resources.GetString("gridColorPicker.Items29"),
            resources.GetString("gridColorPicker.Items30"),
            resources.GetString("gridColorPicker.Items31"),
            resources.GetString("gridColorPicker.Items32"),
            resources.GetString("gridColorPicker.Items33"),
            resources.GetString("gridColorPicker.Items34"),
            resources.GetString("gridColorPicker.Items35"),
            resources.GetString("gridColorPicker.Items36"),
            resources.GetString("gridColorPicker.Items37"),
            resources.GetString("gridColorPicker.Items38"),
            resources.GetString("gridColorPicker.Items39")});
            this.gridColorPicker.Name = "gridColorPicker";
            // 
            // plotColorPicker
            // 
            this.plotColorPicker.AccessibleDescription = null;
            this.plotColorPicker.AccessibleName = null;
            resources.ApplyResources(this.plotColorPicker, "plotColorPicker");
            this.plotColorPicker.BackgroundImage = null;
            this.plotColorPicker.Color = global::DnEcuDiag.Properties.Settings.Default.PlotColor;
            this.plotColorPicker.DataBindings.Add(new System.Windows.Forms.Binding("Color", global::DnEcuDiag.Properties.Settings.Default, "PlotColor", true, System.Windows.Forms.DataSourceUpdateMode.OnPropertyChanged));
            this.plotColorPicker.DrawMode = System.Windows.Forms.DrawMode.OwnerDrawFixed;
            this.plotColorPicker.DropDownHeight = 1;
            this.plotColorPicker.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
            this.plotColorPicker.DropDownWidth = 1;
            this.plotColorPicker.Font = null;
            this.plotColorPicker.FormattingEnabled = true;
            this.plotColorPicker.Items.AddRange(new object[] {
            resources.GetString("plotColorPicker.Items"),
            resources.GetString("plotColorPicker.Items1"),
            resources.GetString("plotColorPicker.Items2"),
            resources.GetString("plotColorPicker.Items3"),
            resources.GetString("plotColorPicker.Items4"),
            resources.GetString("plotColorPicker.Items5"),
            resources.GetString("plotColorPicker.Items6"),
            resources.GetString("plotColorPicker.Items7"),
            resources.GetString("plotColorPicker.Items8"),
            resources.GetString("plotColorPicker.Items9"),
            resources.GetString("plotColorPicker.Items10"),
            resources.GetString("plotColorPicker.Items11"),
            resources.GetString("plotColorPicker.Items12"),
            resources.GetString("plotColorPicker.Items13"),
            resources.GetString("plotColorPicker.Items14"),
            resources.GetString("plotColorPicker.Items15"),
            resources.GetString("plotColorPicker.Items16"),
            resources.GetString("plotColorPicker.Items17"),
            resources.GetString("plotColorPicker.Items18"),
            resources.GetString("plotColorPicker.Items19"),
            resources.GetString("plotColorPicker.Items20"),
            resources.GetString("plotColorPicker.Items21"),
            resources.GetString("plotColorPicker.Items22"),
            resources.GetString("plotColorPicker.Items23"),
            resources.GetString("plotColorPicker.Items24"),
            resources.GetString("plotColorPicker.Items25"),
            resources.GetString("plotColorPicker.Items26"),
            resources.GetString("plotColorPicker.Items27"),
            resources.GetString("plotColorPicker.Items28"),
            resources.GetString("plotColorPicker.Items29"),
            resources.GetString("plotColorPicker.Items30"),
            resources.GetString("plotColorPicker.Items31"),
            resources.GetString("plotColorPicker.Items32"),
            resources.GetString("plotColorPicker.Items33"),
            resources.GetString("plotColorPicker.Items34"),
            resources.GetString("plotColorPicker.Items35"),
            resources.GetString("plotColorPicker.Items36"),
            resources.GetString("plotColorPicker.Items37"),
            resources.GetString("plotColorPicker.Items38"),
            resources.GetString("plotColorPicker.Items39")});
            this.plotColorPicker.Name = "plotColorPicker";
            // 
            // backGroundColorPicker
            // 
            this.backGroundColorPicker.AccessibleDescription = null;
            this.backGroundColorPicker.AccessibleName = null;
            resources.ApplyResources(this.backGroundColorPicker, "backGroundColorPicker");
            this.backGroundColorPicker.BackgroundImage = null;
            this.backGroundColorPicker.Color = global::DnEcuDiag.Properties.Settings.Default.BackColor;
            this.backGroundColorPicker.DataBindings.Add(new System.Windows.Forms.Binding("Color", global::DnEcuDiag.Properties.Settings.Default, "BackColor", true, System.Windows.Forms.DataSourceUpdateMode.OnPropertyChanged));
            this.backGroundColorPicker.DisplayMember = "TraceBackgroundColor";
            this.backGroundColorPicker.DrawMode = System.Windows.Forms.DrawMode.OwnerDrawFixed;
            this.backGroundColorPicker.DropDownHeight = 1;
            this.backGroundColorPicker.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
            this.backGroundColorPicker.DropDownWidth = 1;
            this.backGroundColorPicker.Font = null;
            this.backGroundColorPicker.FormattingEnabled = true;
            this.backGroundColorPicker.Items.AddRange(new object[] {
            resources.GetString("backGroundColorPicker.Items"),
            resources.GetString("backGroundColorPicker.Items1"),
            resources.GetString("backGroundColorPicker.Items2"),
            resources.GetString("backGroundColorPicker.Items3"),
            resources.GetString("backGroundColorPicker.Items4"),
            resources.GetString("backGroundColorPicker.Items5"),
            resources.GetString("backGroundColorPicker.Items6"),
            resources.GetString("backGroundColorPicker.Items7"),
            resources.GetString("backGroundColorPicker.Items8"),
            resources.GetString("backGroundColorPicker.Items9"),
            resources.GetString("backGroundColorPicker.Items10"),
            resources.GetString("backGroundColorPicker.Items11"),
            resources.GetString("backGroundColorPicker.Items12"),
            resources.GetString("backGroundColorPicker.Items13"),
            resources.GetString("backGroundColorPicker.Items14"),
            resources.GetString("backGroundColorPicker.Items15"),
            resources.GetString("backGroundColorPicker.Items16"),
            resources.GetString("backGroundColorPicker.Items17"),
            resources.GetString("backGroundColorPicker.Items18"),
            resources.GetString("backGroundColorPicker.Items19"),
            resources.GetString("backGroundColorPicker.Items20"),
            resources.GetString("backGroundColorPicker.Items21"),
            resources.GetString("backGroundColorPicker.Items22"),
            resources.GetString("backGroundColorPicker.Items23"),
            resources.GetString("backGroundColorPicker.Items24"),
            resources.GetString("backGroundColorPicker.Items25"),
            resources.GetString("backGroundColorPicker.Items26")});
            this.backGroundColorPicker.Name = "backGroundColorPicker";
            this.backGroundColorPicker.ValueMember = "TraceBackgroundColor";
            // 
            // FormApplicationConfiguration
            // 
            this.AcceptButton = this.btnOK;
            this.AccessibleDescription = null;
            this.AccessibleName = null;
            resources.ApplyResources(this, "$this");
            this.BackgroundImage = null;
            this.CancelButton = this.btnCancel;
            this.ControlBox = false;
            this.Controls.Add(this.tabConfiguration);
            this.Controls.Add(this.btnCancel);
            this.Controls.Add(this.btnOK);
            this.Font = null;
            this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedDialog;
            this.MaximizeBox = false;
            this.MinimizeBox = false;
            this.Name = "FormApplicationConfiguration";
            this.tabConfiguration.ResumeLayout(false);
            this.tabApplication.ResumeLayout(false);
            this.tabApplication.PerformLayout();
            ((System.ComponentModel.ISupportInitialize)(this.nudDynofilter)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.numUdSensorPlotDelay)).EndInit();
            this.tabLogging.ResumeLayout(false);
            this.tabLogging.PerformLayout();
            this.tabSensorPlotColors.ResumeLayout(false);
            this.tabSensorPlotColors.PerformLayout();
            this.ResumeLayout(false);

        }
        #endregion

        private	void btnCancel_Click(object	sender,	System.EventArgs e)	
        {
            Common.ExecuteExceptionHandledDelegate(HandleCancelClick);
        }

        private	void btnOK_Click(object	sender,	System.EventArgs e)	
        {
            Common.ExecuteExceptionHandledDelegate(HandleOkClick);
        }

        private void HandleCancelClick() 
        {
            Model.LoadApplicationConfiguration();
            Close();
        }

        private	void HandleOkClick() 
        {
            Model.Instance.SaveApplicationConfiguration();
            Close();
        }
    }
}