#region License
// Copyright  2004 - 2010 All Right Reserved, Derek Goslin
// 
// 1. Definitions
// The terms "reproduce," "reproduction," "derivative works," and "distribution" have the same meaning here as under U.S. copyright law.
// A "contribution" is the original software, or any additions or changes to the software.
// A "contributor" is any person that distributes its contribution under this license.
// "Licensed patents" are a contributor's patent claims that read directly on its contribution.
// 
// 2. Grant of Rights
// (A) Copyright Grant- Subject to the terms of this license, including the license
//     conditions and limitations in section 3, each contributor grants you a non-exclusive,
//     worldwide, royalty-free copyright license to reproduce its contribution, prepare derivative 
//     works of its contribution, and distribute its contribution or any derivative works that you create.
// (B) Patent Grant- Subject to the terms of this license, including the license conditions and limitations
//     in section 3, each contributor grants you a non-exclusive, worldwide, royalty-free license under its
//     licensed patents to make, have made, use, sell, offer for sale, import, and/or otherwise dispose of
//     its contribution in the software or derivative works of the contribution in the software.
// 
// 3. Conditions and Limitations
// (A) Reciprocal Grants- For any file you distribute that contains code from the software (in source code or binary format), 
//     you must provide recipients the source code to that file along with a copy of this license, which license will govern that file. 
//     You may license other files that are entirely your own work and do not contain code from the software under any terms you choose.
// (B) No Trademark License- This license does not grant you rights to use any contributors' name, logo, or trademarks.
// (C) If you bring a patent claim against any contributor over patents that you claim are infringed by the software,
//     your patent license from such contributor to the software ends automatically.
// (D) If you distribute any portion of the software, you must retain all copyright, patent, trademark,
//     and attribution notices that are present in the software.
// (E) If you distribute any portion of the software in source code form, you may do so only under this license by including a complete copy 
//     of this license with your distribution. If you distribute any portion of the software in compiled or object code form, you may only do 
//     so under a license that complies with this license.
// (F) The software is licensed "as-is." You bear the risk of using it. The contributors give no express warranties, guarantees or conditions.
//    You may have additional consumer rights under your local laws which this license cannot change. To the extent permitted under your
//    local laws, the contributors exclude the implied warranties of merchantability, fitness for a particular purpose and non-infringement.
#endregion

namespace DnEcuDiag.Protocols
{
    public enum IsoCommand
    {
        IdentificationCodeReadRequest = 0x00,
        IdentificationCodeReadRequestAck = 0xF6,
        RamCellsReadRequest = 0x01,
        RamCellsReadRequestAck = 0xFE,
        RamCellsWriteRequest = 0x02,
        RamCellsWriteRequestAck = 0xED,
        EEepromReadRequest = 0x03,
        EEepromReadRequestAck = 0xFD,
        ErrorMemoryReadRequest = 0x07,
        ErrorMemoryReadRequestAck = 0xFC,
        AdcChannelReadRequest = 0x08,
        AdcChannelReadRequestAck = 0xFB,
        ParametersReadingRequest = 0x10,
        ParametersReadingRequestAck = 0xEC,
        ParametersWritingRequest = 0x11,
        ParametersWritingRequestAck = 0xEB,
        SnapshotRequest = 0x12,
        SnapshotRequestAck = 0xF4,
        Login = 0x18,
        LoginAck = 0xF4,
        EcuEepromReadRequest = 0x19,
        EcuEepromReadRequestAck = 0xEF,
        StartDownloadRoutine = 0x27,
        StartDownloadRoutineAck = 0xE8,
        EcuEepromWriteRequest = 0x1A,
        EcuEepromWriteRequestAck = 0xF9,
        DownloadRequest = 0x1E,
        DownloadRequestAck = 0xF7,
        DownloadTransfer = 0x1F,
        DownloadTransferAck = 0x09,
        SafteyCodeTransmit = 0x20,
        SafteyCodeTransmitAck = 0x09,
        Acknowledge = 0x09,
        EcuNoAcknowledge = 0x0A,
        TesterNoAcknowledge = 0x0A,
        UnknownTitle = 0x0b,
        DiagnosisEnd = 0x06,
        MemoryErrorDeleteRequest = 0x05,
        MemoryErrorDeleteRequestAck = 0x09,
        ActuatorActivation = 0x04,
        ActuatorActivationAck = 0x09,
        ActuatorActivationWithFeedback = 0x17,
        ActuatorActivationWithFeedbackAck = 0xE8
    }
}